package com.op.wms.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.op.common.core.annotation.Excel;
import com.op.common.core.web.domain.BaseEntity;

/**
 * 物料信息对象 base_product
 * 
 * @author Open Platform
 * @date 2023-07-18
 */
public class BaseProduct extends BaseEntity {
	private static final long serialVersionUID = 1L;

	/** 主键ID */
	private String productId;

	/** 产品代码 */
	@Excel(name = "产品代码")
	private String productCode;

	/** 中文描述 */
	@Excel(name = "中文描述")
	private String productDescZh;

	/** 英文描述 */
	@Excel(name = "英文描述")
	private String productDescEn;

	/** 序列号规则代码 */
	@Excel(name = "序列号规则代码")
	private String ruleCode;

	/** 旧物料号 */
	@Excel(name = "旧物料号")
	private String oldProductCode;

	/** 散件物料号 */
	@Excel(name = "散件物料号")
	private String partsProductCode;

	/** 69码 */
	@Excel(name = "69码")
	private String skuBarcode;

	/** 长 */
	@Excel(name = "长")
	private BigDecimal length;

	/** 宽 */
	@Excel(name = "宽")
	private BigDecimal width;

	/** 高 */
	@Excel(name = "高")
	private BigDecimal height;

	/** 毛重 */
	@Excel(name = "毛重")
	private BigDecimal grossWeight;

	/** 净重 */
	@Excel(name = "净重")
	private BigDecimal netWeight;

	/** 皮重 */
	@Excel(name = "皮重")
	private BigDecimal tareWeight;

	/** 体积 */
	@Excel(name = "体积")
	private BigDecimal volume;

	/** 单价 */
	@Excel(name = "单价")
	private BigDecimal unitPrice;

	/** 产品组 */
	@Excel(name = "产品组")
	private String productGroup;

	/** $column.columnComment */
	@Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
	private String productGroupName;

	/** 用户自定义1 */
	@Excel(name = "用户自定义1")
	private String userDefined1;

	/** 用户自定义2 */
	@Excel(name = "用户自定义2")
	private String userDefined2;

	/** 用户自定义3 */
	@Excel(name = "用户自定义3")
	private String userDefined3;

	/** $column.columnComment */
	@Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
	private String userDefined4;

	/** $column.columnComment */
	@Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
	private String userDefined5;

	/** $column.columnComment */
	@Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
	private String userDefined6;

	/** 工厂编码 */
	@Excel(name = "工厂编码")
	private String factoryCode;

	/** 激活标记 */
	@Excel(name = "激活标记")
	private String activeFlag;

	/** $column.columnComment */
	@Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
	private String syncFlag;

	/** $column.columnComment */
	@Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
	private String primaryUom;

	/** $column.columnComment */
	private String delFlag;

	/** 订单单位 */
	@Excel(name = "订单单位")
	private String bstme;

	/** $column.columnComment */
	@Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
	private BigDecimal basicOrder;

	/** $column.columnComment */
	@Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
	private BigDecimal convOrder;

	/** 发货单位 */
	@Excel(name = "发货单位")
	private String ausme;

	/** $column.columnComment */
	@Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
	private BigDecimal basicIssue;

	/** $column.columnComment */
	@Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
	private BigDecimal convIssue;

	/** 是否补料（0否 */
	@Excel(name = "是否补料", readConverterExp = "是否补料（0否")
	private String appendFlag;

	/** 补料比例 */
	@Excel(name = "补料比例")
	private String appendPercent;

	public void setProductId(String productId) {
		this.productId = productId;
	}

	public String getProductId() {
		return productId;
	}
	public void setProductCode(String productCode) {
		this.productCode = productCode;
	}

	public String getProductCode() {
		return productCode;
	}
	public void setProductDescZh(String productDescZh) {
		this.productDescZh = productDescZh;
	}

	public String getProductDescZh() {
		return productDescZh;
	}
	public void setProductDescEn(String productDescEn) {
		this.productDescEn = productDescEn;
	}

	public String getProductDescEn() {
		return productDescEn;
	}
	public void setRuleCode(String ruleCode) {
		this.ruleCode = ruleCode;
	}

	public String getRuleCode() {
		return ruleCode;
	}
	public void setOldProductCode(String oldProductCode) {
		this.oldProductCode = oldProductCode;
	}

	public String getOldProductCode() {
		return oldProductCode;
	}
	public void setPartsProductCode(String partsProductCode) {
		this.partsProductCode = partsProductCode;
	}

	public String getPartsProductCode() {
		return partsProductCode;
	}
	public void setSkuBarcode(String skuBarcode) {
		this.skuBarcode = skuBarcode;
	}

	public String getSkuBarcode() {
		return skuBarcode;
	}
	public void setLength(BigDecimal length) {
		this.length = length;
	}

	public BigDecimal getLength() {
		return length;
	}
	public void setWidth(BigDecimal width) {
		this.width = width;
	}

	public BigDecimal getWidth() {
		return width;
	}
	public void setHeight(BigDecimal height) {
		this.height = height;
	}

	public BigDecimal getHeight() {
		return height;
	}
	public void setGrossWeight(BigDecimal grossWeight) {
		this.grossWeight = grossWeight;
	}

	public BigDecimal getGrossWeight() {
		return grossWeight;
	}
	public void setNetWeight(BigDecimal netWeight) {
		this.netWeight = netWeight;
	}

	public BigDecimal getNetWeight() {
		return netWeight;
	}
	public void setTareWeight(BigDecimal tareWeight) {
		this.tareWeight = tareWeight;
	}

	public BigDecimal getTareWeight() {
		return tareWeight;
	}
	public void setVolume(BigDecimal volume) {
		this.volume = volume;
	}

	public BigDecimal getVolume() {
		return volume;
	}
	public void setUnitPrice(BigDecimal unitPrice) {
		this.unitPrice = unitPrice;
	}

	public BigDecimal getUnitPrice() {
		return unitPrice;
	}
	public void setProductGroup(String productGroup) {
		this.productGroup = productGroup;
	}

	public String getProductGroup() {
		return productGroup;
	}
	public void setProductGroupName(String productGroupName) {
		this.productGroupName = productGroupName;
	}

	public String getProductGroupName() {
		return productGroupName;
	}
	public void setUserDefined1(String userDefined1) {
		this.userDefined1 = userDefined1;
	}

	public String getUserDefined1() {
		return userDefined1;
	}
	public void setUserDefined2(String userDefined2) {
		this.userDefined2 = userDefined2;
	}

	public String getUserDefined2() {
		return userDefined2;
	}
	public void setUserDefined3(String userDefined3) {
		this.userDefined3 = userDefined3;
	}

	public String getUserDefined3() {
		return userDefined3;
	}
	public void setUserDefined4(String userDefined4) {
		this.userDefined4 = userDefined4;
	}

	public String getUserDefined4() {
		return userDefined4;
	}
	public void setUserDefined5(String userDefined5) {
		this.userDefined5 = userDefined5;
	}

	public String getUserDefined5() {
		return userDefined5;
	}
	public void setUserDefined6(String userDefined6) {
		this.userDefined6 = userDefined6;
	}

	public String getUserDefined6() {
		return userDefined6;
	}
	public void setFactoryCode(String factoryCode) {
		this.factoryCode = factoryCode;
	}

	public String getFactoryCode() {
		return factoryCode;
	}
	public void setActiveFlag(String activeFlag) {
		this.activeFlag = activeFlag;
	}

	public String getActiveFlag() {
		return activeFlag;
	}
	public void setSyncFlag(String syncFlag) {
		this.syncFlag = syncFlag;
	}

	public String getSyncFlag() {
		return syncFlag;
	}
	public void setPrimaryUom(String primaryUom) {
		this.primaryUom = primaryUom;
	}

	public String getPrimaryUom() {
		return primaryUom;
	}
	public void setDelFlag(String delFlag) {
		this.delFlag = delFlag;
	}

	public String getDelFlag() {
		return delFlag;
	}
	public void setBstme(String bstme) {
		this.bstme = bstme;
	}

	public String getBstme() {
		return bstme;
	}
	public void setBasicOrder(BigDecimal basicOrder) {
		this.basicOrder = basicOrder;
	}

	public BigDecimal getBasicOrder() {
		return basicOrder;
	}
	public void setConvOrder(BigDecimal convOrder) {
		this.convOrder = convOrder;
	}

	public BigDecimal getConvOrder() {
		return convOrder;
	}
	public void setAusme(String ausme) {
		this.ausme = ausme;
	}

	public String getAusme() {
		return ausme;
	}
	public void setBasicIssue(BigDecimal basicIssue) {
		this.basicIssue = basicIssue;
	}

	public BigDecimal getBasicIssue() {
		return basicIssue;
	}
	public void setConvIssue(BigDecimal convIssue) {
		this.convIssue = convIssue;
	}

	public BigDecimal getConvIssue() {
		return convIssue;
	}
	public void setAppendFlag(String appendFlag) {
		this.appendFlag = appendFlag;
	}

	public String getAppendFlag() {
		return appendFlag;
	}
	public void setAppendPercent(String appendPercent) {
		this.appendPercent = appendPercent;
	}

	public String getAppendPercent() {
		return appendPercent;
	}

	@Override
	public String toString() {
		return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
			.append("productId", getProductId())
			.append("productCode", getProductCode())
			.append("productDescZh", getProductDescZh())
			.append("productDescEn", getProductDescEn())
			.append("ruleCode", getRuleCode())
			.append("oldProductCode", getOldProductCode())
			.append("partsProductCode", getPartsProductCode())
			.append("skuBarcode", getSkuBarcode())
			.append("length", getLength())
			.append("width", getWidth())
			.append("height", getHeight())
			.append("grossWeight", getGrossWeight())
			.append("netWeight", getNetWeight())
			.append("tareWeight", getTareWeight())
			.append("volume", getVolume())
			.append("unitPrice", getUnitPrice())
			.append("productGroup", getProductGroup())
			.append("productGroupName", getProductGroupName())
			.append("userDefined1", getUserDefined1())
			.append("userDefined2", getUserDefined2())
			.append("userDefined3", getUserDefined3())
			.append("userDefined4", getUserDefined4())
			.append("userDefined5", getUserDefined5())
			.append("userDefined6", getUserDefined6())
			.append("createBy", getCreateBy())
			.append("createTime", getCreateTime())
			.append("updateBy", getUpdateBy())
			.append("updateTime", getUpdateTime())
			.append("factoryCode", getFactoryCode())
			.append("activeFlag", getActiveFlag())
			.append("syncFlag", getSyncFlag())
			.append("primaryUom", getPrimaryUom())
			.append("delFlag", getDelFlag())
			.append("bstme", getBstme())
			.append("basicOrder", getBasicOrder())
			.append("convOrder", getConvOrder())
			.append("ausme", getAusme())
			.append("basicIssue", getBasicIssue())
			.append("convIssue", getConvIssue())
			.append("appendFlag", getAppendFlag())
			.append("appendPercent", getAppendPercent())
			.toString();
	}
}
